Skip to main content
PATCH
/
api
/
v2
/
secret-rotations
/
mssql-credentials
/
{rotationId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v2/secret-rotations/mssql-credentials/{rotationId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isAutoRotationEnabled": true,
  "rotationInterval": 2
}
'
{
  "secretRotation": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "rotationInterval": 123,
    "rotationStatus": "<string>",
    "lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
    "lastRotatedAt": "2023-11-07T05:31:56Z",
    "connection": {
      "app": "mssql",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "projectId": "<string>",
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "rotateAtUtc": {
      "hours": 11.5,
      "minutes": 29.5
    },
    "type": "mssql-credentials",
    "parameters": {
      "username1": "<string>",
      "username2": "<string>",
      "rotationStatement": "<string>",
      "passwordRequirements": {
        "length": 125.5,
        "required": {
          "digits": 1,
          "lowercase": 1,
          "uppercase": 1,
          "symbols": 1
        },
        "allowedSymbols": "<string>"
      }
    },
    "secretsMapping": {
      "username": "<string>",
      "password": "<string>"
    },
    "description": "<string>",
    "isAutoRotationEnabled": true,
    "activeIndex": 0,
    "lastRotationJobId": "<string>",
    "nextRotationAt": "2023-11-07T05:31:56Z",
    "isLastRotationManual": true,
    "lastRotationMessage": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Check out the configuration docs for Microsoft SQL Server Credentials Rotations to learn how to obtain the required parameters.

Path Parameters

rotationId
string<uuid>
required

The ID of the Microsoft SQL Server Credentials Rotation to be updated.

Body

application/json
name
string

The updated name of the Microsoft SQL Server Credentials Rotation. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the Microsoft SQL Server Credentials Rotation.

Maximum string length: 256
isAutoRotationEnabled
boolean

Whether secrets should be automatically rotated when the specified rotation interval has elapsed.

rotationInterval
number

The updated interval, in days, to automatically rotate secrets.

Required range: x >= 1
rotateAtUtc
object

The updated hours and minutes rotation should occur at in UTC.

parameters
object
secretsMapping
object

Response

Default Response

secretRotation
object
required